Check Transaction Status
The entire end-to-end payment flow is coordinated by CellPay. If the customer wants to check the transaction status, it can be done using the transaction_id returned through the callback URL.
Check Transaction Status - Request
Endpoint:
{{base-url}}/upg/check-status/{{transaction_id}}
Method: GET
Path Parameters
| Parameter | Description |
|---|---|
| transaction_id | Unique transaction identifier received from callback URL |
Request Headers:
Content-Type: application/json
Example Request:
{{base-url}}/upg/check-status/UPG_1777359575969429
Check Transaction Status - Response Example
{
"status": 1,
"message": "Merchant Customer Transaction has been fetched successfully.",
"data": {
"paymentMethod": "MOBILE BANKING",
"totalAmount": 5000.0,
"orderId": "3A1E9C3B30",
"merchantTxnId": "UPG_1777359575969429",
"instrumentCode": "TMBANK",
"transactionStatus": "SUCCESS"
}
}